
struct OtherCodeBlock {

    private let codeHighlightFooter = "<script>hljs.highlightAll();</script>"

    let results: PageGenerationResults

    init(results: PageGenerationResults) {
        self.results = results
    }

    func process(html: String) -> String {
        results.require(header: .codeHightlighting)
        results.require(footer: codeHighlightFooter)
        return html // Just use normal code highlighting
    }
}
