import SwiftUI

struct LocalizedNavigationBarSettingsView: View {

    @ObservedObject
    var settings: LocalizedNavigationSettings

    var body: some View {
        VStack(alignment: .leading) {
            StringPropertyView(
                title: "Root URL",
                text: $settings.rootUrl,
                footer: "The url leading to the root page for the language")
        }
    }
}
