
struct ImageCompare: HtmlProducer {

    let left: ImageSet

    let right: ImageSet

    static let extraAttributes = " draggable='false''"

    static var requiredIcon: PageIcon { .leftRightArrow }

    func populate(_ result: inout String) {
        result += "<div class='image-compare' style='aspect-ratio: 748/487'>"
        result += "<div class='right'>\(left.content)</div>"
        result += "<div class='left'>\(right.content)</div>"
        result += "<div class='drag'>"
        result += "<svg><use href='#\(Icon.LeftRightArrow.name)'></use></svg>"
        result += "</div></div>" // Close drag, image-compare
    }
}
